| Boost.Locale

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types
boost::locale::converter_base Class Reference
Text Conversions

This class provides base flags for text manipulation. It is used as base for converter facet. More...

`#include <boost/locale/conversion.hpp>`

Inheritance diagram for boost::locale::converter_base:

List of all members.

## Public Types

enum | conversion_type { normalization, upper_case, lower_case, case_folding, title_case }

## Detailed Description

This class provides base flags for text manipulation. It is used as base for converter facet.

## Member Enumeration Documentation

enum boost::locale::converter_base::conversion_type

The flag used for facet - the type of operation to perform

Enumerator:

  normalization | Apply Unicode normalization on the text.
  upper_case | Convert text to upper case.
  lower_case | Convert text to lower case.
  case_folding | Fold case in the text.
  title_case | Convert text to title case.

The documentation for this class was generated from the following file:

- boost/locale/conversion.hpp